:root {
    --blue: #C9DDEE;
    --dblue: #1E2A38;
    --brown: #B9AFA4;
    --red: #DE0C46;
    --cream: #F5F1EA;

    --playfair: 'Playfair Display', serif;
}
 
html {
    margin: 0;
    padding: 0;
    overflow-y: auto;
    overflow-x: hidden;
}

body {
     margin: 0;
     padding: 0;
     width: 100vw;    
     font-family: Inter;
     overflow: hidden;
     background-color: var(--blue);
}

h1, h2, h3, h4 {
    margin: 0;
    line-height: 1.2;
    color: var(--dblue);
}

h1 {font-size: 70px;}
h2 {font-size: 50px;}
h3 {font-size: 40px;}
h4 {font-size: 30px;}

p { 
    font-size: 25px;
    color: var(--dblue);
    margin: 0;
}

a {
    font-size: 25px;
    text-decoration: none;
    color: var(--dblue);
}

.navbar {
    display: flex;
    position: fixed;
    justify-content: space-between;
    align-items: center;
    top: 0;
    width: 100%;
    height: 100px;
    background-color: var(--cream);
    z-index: 10;
}

.mainlog {
    height: auto;
    width: 300px;
    padding-left: 2rem;
    z-index: auto;
}

.nav-links {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    overflow: hidden;
    li {
        display: inherit;
        align-items: center;
        list-style: none;
        padding: 0 1rem;
        height: 95px;
        width: max-content;
        transition: all 0.2s ease-in-out;
        a {
            font-weight: 300;
            transition: all 0.2s ease-in-out;
        }
    }
    li:hover {
        background-color: white;
        border-bottom: 5px inset var(--brown);
        a {
            font-weight: bold;
        }
    }
}

.lets-talk {
    display: inherit;
    align-items: center;
    font-weight: bold;
    color: var(--red);
    padding: 0.8rem 1.5rem;
    margin: 0 2rem 0 1rem;
    outline: 1px solid var(--red);
    border-radius: 50px;
    transition: all 0.2s ease-in-out;
}

.lets-talk:hover {
    background-color: var(--red);
    color: white;
}

.navbar-toggler {
    display: none;
    flex-direction: column;
    justify-content: center;
    width: 2rem;
    height: 2rem;
    border-radius: 6px;
    background: none;
    border: none;
    cursor: pointer;
}

.navbar-icon {
    width: 100%;
    height: 0.15rem;
    right: 0px;
    background-color: white;
    transition: all 0.3s ease;
    position: relative;
}

.navbar-toggler .navbar-icon::before, .navbar-toggler .navbar-icon::after {
    right: 0px;
    content: '';
    position: absolute;
    width: 100%;
    height: 0.15rem;
    background-color: white;
    transition: all 0.3s ease;
}
.navbar-toggler .navbar-icon::after {top: 0.30rem;}
.navbar-toggler .navbar-icon::before {top: -0.30rem;}

.lets-talk-btn-mobile {
    display: none;
    color: var(--dblue);
    padding: 1rem;
    text-decoration: none;
    text-align: center;
}

.logo-mobile {
    margin-bottom: 1rem;
    img { 
        width: 250px; 
        display: none;
    }
}

/* HOME  */
.hero-sec {
    display: flex;
    flex-direction: column;
    justify-content: end;
    width: auto;
    height: 100vh;
    position: relative;
    background-color: var(--dblue);
    overflow: hidden;
}

.altlog {
    display: none;
}

.home-text {
    padding: 4rem;
    width: 40vw;
    z-index: 5;
    h2 {
        color: var(--blue);
        font-weight: 300;
    }
    span {
        font-weight: bold;
    }
}

.home-bg {
    display: flex;
    justify-content: flex-end;
    position: absolute;
    width: 100%;
    padding-top: 90px;
    mask-image: linear-gradient(
        to left,
        rgba(0,0,0,1) 50%,
        rgba(0,0,0,0.6) 60%,
        rgba(0,0,0,0.2) 70%,
        rgba(0,0,0,0) 90%
      );
    z-index: 1;
    video {
        object-fit: cover;
        height: 100vh!important;
        width: 80%;
        mask-image: linear-gradient(to left,
        rgba(0,0,0,1) 35%,
        rgba(0,0,0,0)); 
    }
    img{
        object-fit: cover;
        height: 100vh!important;
        width: 100vw;
    }
}

/* ABOUT SEC  */

.about-sec {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--blue);
}

.about-text {
    text-align: center;
    margin: 4rem;
    h4 {
        font-weight: 400;
    }
    h2 {
        font-family: var(--playfair);
    }
}

.about-info {
    display: flex;
    flex-direction: row;
    padding: 0 1rem;
    border-radius: 20px;
    gap: 2rem;
    video {
        border-radius: 20px;
        width: 670px;
    }
}

.sub-info {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 1rem;
}

.info {
    display: flex;
    flex-direction: row;
    align-items: center;
	height: 100%;
    background-color: white;
    padding: 1rem;
    border-radius: 20px;
    gap: 1rem;
    img {
        height: 60px;
        width: 60px;
    }
}

.line {
    background-color: white;
    height: 4px;
    width: 70vw;
    margin: 4rem 1rem;
}

/* SERVICE SEC  */
.service-sec {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--cream);
}

.service-wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100vw;
    background-color: var(--blue);
    border-radius: 0 0 500px 500px;
    overflow: hidden;
    h2 {
        font-family: var(--playfair);
    }
}

.services {
    display: flex;
    flex-direction: row;
    align-items: start;
    text-align: center;
    padding: 4rem;
    gap: 2rem;
    img {
        height: 90px;
        width: 90px;   
    }
}

.serve1 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 300px;
    width: 300px;
    background-color: white;
    border-radius: 100%;
    padding: 1rem;
}

.serve2 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 380px;
    width: 380px;
    background-color: white;
    border-radius: 100%;
    padding: 1rem;
}

.hire-sec { 
    display: flex;
    flex-direction: row;
    max-width: 1100px;
    padding: 4rem 1rem;
    gap: 2rem;
    video {
        width: 600px;
        border-radius: 20px;
    }
}

.hire-text{
    display: flex;
    flex-direction: column;
    justify-content: center;
    h2 {
        font-family: var(--playfair);
    }
    h3 {
        font-weight: 300;
    }
}

/* CTA  */
.cta {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    background-color: var(--dblue);
    height: 150px;
    padding: 1rem;
    gap: 2rem;
    a {
        text-align: center;
        font-weight: bold;
        color: white;
        padding: 1.5rem 2rem;
        border-radius: 100px;
        background-color: var(--red);
        transition: all 0.2s ease;
    }
    a:hover {
        background-color: white;
        color: var(--red);
    }
}

.cta-text {
    display: flex;
    flex-direction: column;
    text-align: start;
    p {
        font-weight: 300;
        color: var(--cream);
    }
    h2 {
        font-family: var(--playfair);
        color: var(--cream);
    }
}

/* FOOTER  */
.footer-wrap {
    display: flex;
    flex-direction: column;
	background-color: var(--cream);
    padding: 2rem;
    /* height: 250px; */
    img {
        width: 450px;
    }
    a {
        width: max-content;
    }
}

.contact-wrap {
    display: flex;
    flex-direction: column;
    align-items: end;
}

.contacts {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 0 2rem;
}

.contact {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 1rem;
    img {
        height: 55px;
        width: 55px;
    }
    a {
        font-weight: bold;
    }
    a:hover {
        text-decoration: underline;
    }
}

@media (max-width: 1335px) {
    /* HOME SEC  */
    .home-text {
        padding: 2rem;
    }

    /* ABOUT SEC  */
    .about-info {
        video {
            width: clamp(300px, 90vw, 600px);
        }
    }
    /* SERVICES SEC  */
    .services {
        display: flex;
        flex-direction: row;
        align-items: start;
        text-align: center;
        padding: 2rem 1rem;
        gap: 1rem;
        img {
            height: 60px !important;
            width: 60px !important;    
        }
    }
    .serve1 {
        height: 200px;
        width: 200px;
    }
    
    .serve2 {
        height: 280px;
        width: 280px;
    }
}

@media (max-width: 950px) {

    h1 {font-size: 50px;}
    h2 {font-size: 30px;}
    h3 {font-size: 25px;}
    h4 {font-size: 20px;}
    p {font-size: 18px;}
    a {font-size: 18px;}
    
    .navbar {
        justify-content: space-between;
        height: 4rem;
        outline: none;
        background-color: transparent;
        box-shadow: none;
        margin: 0;
    }

    .navbar-toggler {
        display: flex;
        margin-right: 1rem;
        color: white;
        background-color: var(--dblue);
    }

    .nav-links {
        display: none;
        flex-direction: column;
        align-items: center;
        position: fixed;
        background-color: white;
        width: 100%;
        top: 0;
        right: 0;
        padding: 1rem 0;
        margin: 0;
        gap: 1rem;
        z-index: 50;
        li {
            a {
            font-weight: bold;
            padding: 0;
            }
        }
		li:hover {
            background-color: none;
            border-bottom: none;
        }
    }

    .nav-links.show {
        display: flex;
    }

    .logo-mobile {
        img { 
            display: block;
        }
    }

    .nav-links li {
        height: auto;
        margin: 0.2rem 0;
    }

    .lets-talk {display: none;}
    .lets-talk-btn-mobile {
        font-weight: bold;
        display: block;
        padding: 0.2rem 0;
    }

/* HOME SEC  */
.altlog {	
	display: block;
	position: absolute;
	width: 250px;
	padding: 2rem;
	top: 0;
	left: 0;
	z-index: 8;
}
	
.mainlog { 
    display: none;
    padding-left: 0;
}
	
.home-bg {
    padding-top: 0;
}
.hero-sec {
    justify-content: center;
}

/* ABOUT SEC  */
.about-text {
    margin: 2rem;
}

.about-info {
    flex-direction: column;
    gap: 1rem;
}

.line {
    margin: 2rem 1rem;
}

/* SERVICE SEC  */
.hire-sec {
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    padding: 2rem 1rem;
    text-align: center;
    video {
        width: clamp(300px, 90vw, 450px);
        border-radius: 20px;
    }
}

.services {
    flex-direction: column;
    align-items: center;
    img {
        height: 70px;
        width: 70px;    
    }
}
.serve1, .serve2  {
    height: 250px;
    width: 250px;
}

/* CTA  */
.cta {
    height: 100px;
    padding: 1rem;
    gap: 1rem;
    a {
        color: white;
        padding: 1rem 1.5rem;
    }
}

/* FOOTER  */
    .footer-wrap {
        gap: 2rem;
        align-items: center;
        img {
            width: 350px;
        }
    }
    .contact {
        img {
            height: 45px;
            width: 45px;
        }
    }
}

@media (max-width: 546px) {
    h1 {font-size: 30px;}
    h2 {font-size: 25px;}
    h3 {font-size: 20px;}
    h4 {font-size: 18px;}
    p {font-size: 16px;}
    a {font-size: 16px;}
    .navbar { 
        height: 60px;
    }
    .logo-mobile {
        img { 
            width: 200px; 
        }
    }

/* HOME  */
.hero-sec {
    padding-top: 0;
    justify-content: end;
	height: 50vh;
}

.altlog {
    padding: 0.5rem;
    width: 200px;
    filter: drop-shadow(1px 1px 1px gray) drop-shadow(1px 1px 1px black);
}
	
.home-text {
    width: auto;
    padding: 1rem;
    h2 {
        font-size: 20px;
		line-height: 1;
    }
}

.home-bg {
    justify-content: flex-start;
    mask-image: linear-gradient(
        to bottom,
        rgba(0,0,0,1) 60%,
        rgba(0,0,0,0.6) 70%,
        rgba(0,0,0,0.2) 80%,
        rgba(0,0,0,0) 100%
      );
    video {
		height: 50vh!important;
        width: 100%;
        mask-image: linear-gradient(to bottom,
        rgba(0,0,0,1) 35%,
        rgba(0,0,0,0)); 
    }
}

/* ABOUT SEC  */
.info {
    img {
        height: 40px;
        width: 40px;
    }
}

/* SERVICES SEC  */
.serve1, .serve2  {
    height: 150px;
    width: 150px;
}

/* CTA  */
.cta {
    flex-direction: column;
    height: 150px;
}

/* FOOTER  */
    .footer-wrap {
        padding: 2rem 1rem;
        gap: 1rem;
        img {
            align-self: center;
            width: 250px;
        }
    }
    
    .contact-wrap {
        align-self: start;
    }

    .contact {
        gap: 0.5rem;
        img {
            height: 30px;
            width: 30px;
        }
        a {
            word-break: break-all;
        }
    }
}